package com.diagbot.facade;

import com.diagbot.client.KnowledgemanServiceClient;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.service.impl.DisTypeServiceImpl;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.ConceptExistVO;
import com.diagbot.vo.IndexVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhoutg
 * @time: 2018/11/23 11:37
 */
@Component
public class ConceptFacade extends DisTypeServiceImpl {

    @Autowired
    KnowledgemanServiceClient knowledgemanServiceClient;

    public List<ConceptBaseDTO> indexFac(IndexVO indexVO) {
        RespDTO<List<ConceptBaseDTO>> res = knowledgemanServiceClient.index(indexVO);
        RespDTOUtil.respNGDeal(res, "远程调用获取概念列表失败");
        return res.data;
    }


    public Map<String, Long> getConceptMap(ConceptExistVO conceptExistVO){
        RespDTO<Map<String, Long>> res = knowledgemanServiceClient.getConceptMap(conceptExistVO);
        RespDTOUtil.respNGDeal(res, "远程调用获取概念列表失败");
        return res.data;
    }

}
